## m-buffer-el 0.15

=== Makefile ===
EMACS ?= emacs
CASK ?= cask

EMACSES=there-is-no-sensible-default-here

-include makefile-local

ifdef EMACS
EMACS_ENV=EMACS=$(EMACS)
endif


all: test

install:
	$(EMACS_ENV) $(CASK) install

just-test:
	$(EMACS_ENV) $(CASK) emacs --batch -q \
	--directory=. \
	--load "dev/assess-discover" \
	--funcall assess-discover-run-and-exit-batch

test: install just-test

package:
	$(EMACS_ENV) $(CASK) package

doc-gen:
	$(EMACS_ENV) $(CASK) emacs \
	--directory=. \
	--script dev/doc-gen.el -f doc-gen

publish-doc: ../m-buffer-pages/index.html ../m-buffer-pages/m-buffer-doc.css

../m-buffer-pages/m-buffer-doc.css: m-buffer-doc.css
	cp $< $@

../m-buffer-pages/index.html: m-buffer-doc.html
	perl -p -e 's#["]http://orgmode.org/org-info.js#"./org-info.js#' \
	$< > $@

m-buffer-doc.html: m-buffer-doc.org m-buffer.el m-buffer-at.el m-buffer-macro.el
	$(MAKE) doc-gen

clean:
	find . -name "m-buffer*org" -not -name "m-buffer-doc.org" \
	   -exec rm {} \;
	- rm m-buffer-doc.html

multi-test:
	make EMACS=$(EMACSES)/master/src/emacs test
	make EMACS=$(EMACSES)/emacs-25/src/emacs test
	make EMACS=$(EMACSES)/emacs-25.1/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.5/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.4/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.3/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.2/src/emacs test

.PHONY: test

=== debian/changelog ===
m-buffer-el (0.15-2) unstable; urgency=medium

  * Migrate to dh 12
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Feb 2019 14:44:17 +0500

m-buffer-el (0.15-1) unstable; urgency=medium

  * Initial release (Closes: #877624)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 3 Oct 2017 19:20:21 +0500

=== debian/control ===
Source: m-buffer-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa,
               elpa-seq
Standards-Version: 4.3.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/phillord/m-buffer-el
Vcs-Browser: https://salsa.debian.org/emacsen-team/m-buffer-el
Vcs-Git: https://salsa.debian.org/emacsen-team/m-buffer-el.git

Package: elpa-m-buffer
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: list-oriented, functional buffer manipulation
 This package provides a set of list-oriented functions for operating
 over the contents of buffers, mostly revolving around regexp
 searching, and regions. They avoid the use of looping, manipulating
 global state with `match-data'. Many high-level functions exist for
 matching sentences, lines and so on.

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%m-buffer-el-$1.tar.gz%" \
             https://github.com/phillord/m-buffer-el/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
